=== debian/changelog ===
ros-melodic-tuw-vehicle-msgs (0.0.13-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Raphael Hauk <raphael.hauk@racing.tuwien.ac.at>  Thu, 15 Nov 2018 16:20:07 -0000
